1. Cadastral
Pulse API
  • Introduction
    • Introduction
    • Getting Started
    • Basic concepts
  • Services
    • Backoffice
      • Authentication
        • Generate Access Token
        • Generate Refresh Token
      • Authorization
        • Rotate Key (User)
        • Register Application
        • List (Application)
        • Rotate Key (Application)
        • Revoke Key (Application)
        • Activate Key (Application)
      • Usage
        • Check limits
        • Check usage
    • Domains
      • Valuation
        • Valuation
      • Indicators
        • Indicators
      • Cadastral
        • Cadastral by Reference
          GET
        • Advanced cadastral search
          GET
      • Comparables
        • Search comparables
        • Search comparables (Transactions)
      • Mortgage
        • Pre-approval
  1. Cadastral

Advanced cadastral search

GET
/api/integration/v2/cadastral/advanced
Performs a cadastral advanced search to retrieve comprehensive property data, including estimated market valuations for both rental and sale.

Request

Authorization
or
Query Params

Responses

🟢200Correcto
application/json
Success
Bodyapplication/json

🟠400Solicitud incorrecta
🟠422Entidad no procesable
🟠429Demasiadas solicitudes
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.urbandataanalytics.com/api/integration/v2/cadastral/advanced?reference=undefined'
Response Response Example
200 - Éxito
{
    "cadastral_reference": "1687710VK4718F0081FH",
    "uri_storage": "https://storage.googleapis.com/uda-images/datalake-images/portals/es/catastro/1687710VK4718F.jpeg",
    "valuation_sale": 1371102.3400928793,
    "valuation_rent": 3707.0198830409354,
    "typology_type": 1,
    "property_type": 4,
    "address": "PASEO CASTELLANA 144, MADRID (MADRID)",
    "floor": 9,
    "n_floors": 15,
    "n_rooms": 4,
    "n_baths": 3,
    "area_almacen": 0,
    "area_elementos_comunes": 25,
    "area_otros": 0,
    "area_parking": 0,
    "area_total_con_elementos_comunes": 182,
    "area_uso": 157,
    "area_vivienda": 157,
    "parcel_area": 1744,
    "year_built": 1962,
    "admin1_id": 14,
    "admin1_name": "Comunidad de Madrid",
    "admin2_id": 48,
    "admin2_name": "Madrid",
    "admin3_id": 4440,
    "admin3_name": "Madrid",
    "perc_access_transportation": 5,
    "perc_access_educational_uni": 5,
    "perc_access_leisure": 5,
    "perc_access_sports": 5
}
Modified at 2025-11-18 12:16:50
Previous
Cadastral by Reference
Next
Search comparables
Built with